%define name	tmda
%define version	0.92
%define release	2mdk

# get exact version of python we're building against
%define pythver	%(echo "`rpm -q --queryformat %{VERSION} python`")

Summary:	Tagged Message Delivery Agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	BSD
Group:		Networking/Mail
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
BuildRequires:	python >= 2.0
Requires:	python = %{pythver}
Requires:	python-cdb
URL:		http://tmda.net

%description
TMDA is an OSI certified software application designed to
significantly reduce the amount of SPAM/UCE (junk-mail) you
receive. TMDA combines a  "whitelist" (for known/trusted senders),
a "blacklist" (for undesired senders), and a cryptographically
enhanced confirmation system (for unknown, but legitimate
senders).

%prep

%setup -q

%build

python ./compileall
mv htdocs/README htdocs/README.htdocs

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%define pyprefix %(python -c 'import sys; print sys.prefix')
%define pyver %(python -c 'import sys; print sys.version[:3]')
%define pylibdir %{pyprefix}/lib/python%{pyver}/site-packages

install -d %{buildroot}/{%{_bindir},%{_datadir}/tmda,%{pylibdir}/TMDA}
install -m 755 bin/tmda-* %{buildroot}%{_bindir}
install -m 644 templates/*.txt %{buildroot}%{_datadir}/tmda
install -m 644 TMDA/*.{py,pyc} %{buildroot}%{pylibdir}/TMDA
install -m 755 contrib/{collectaddys,printcdb,printdbm} %{buildroot}%{_bindir}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING CRYPTO INSTALL README THANKS UPGRADE contrib/
%doc htdocs/{README.htdocs,*.html}
%{_bindir}/*
%dir %{pylibdir}/TMDA
%{pylibdir}/TMDA/*.py
%verify(not size md5 mtime) %{pylibdir}/TMDA/*.pyc
%{_datadir}/tmda

%changelog
* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-2mdk
- own dir

* Tue Dec 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.92-1mdk
- 0.92

* Fri Aug 08 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.80-4mdk
- python 2.3

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-3mdk
- rebuilt for new python

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-2mdk
- fix requires python-cdb

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.80-1mdk
- 0.80
- misc spec file fixes

* Thu Jan 02 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.67-1mdk
- 0.67

* Wed Oct 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.62-1mdk
- 0.62

* Tue Aug 20 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.61-1mdk
- 0.61

* Fri Aug 02 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59-1mdk
- 0.59
- new URL

* Tue Jul 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.58-1mdk
- 0.58

* Tue Jun 18 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.57-1mdk
- 0.57

* Fri Jun 07 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.56-1mdk
- 0.56
- install contrib tools

* Sat May 04 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.54-1mdk
- 0.54

* Tue Apr 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.52-1mdk
- 0.52

* Sun Mar 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.49-1mdk
- 0.49

* Tue Mar 5 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.48-1mdk
- 0.48
- get a little creative with how we figure out what version of python we're
  built against (better for rebuilding srpms).. only drawback is it requires
  python to be installed as an rpm

* Fri Feb  8 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.46-1mdk
- 0.46

* Sun Feb  3 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.45-1mdk
- 0.45
- buildrequires: python >= 2.0
- requires is now explicit to python version for binary builds

* Thu Jan 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.44-1mdk
- 0.44

* Tue Dec 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.42-1mdk
- 0.42

* Sat Dec  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.41-1mdk
- first Mandrake version
